ConfigurationResult (Apache Geode 1.10.0)
Date: 2019-09-19

org.apache.geode.management.api

## Class ConfigurationResult<T extends CacheElement & CorrespondWith<R>,R extends RuntimeInfo>

- java.lang.Object
- - org.apache.geode.management.api.ConfigurationResult<T,R>

- Type Parameters:
    `T` - the config type
    `R` - the runtimeInfo type

      @Experimental
      public class ConfigurationResult<T extends CacheElement & CorrespondWith<R>,R extends RuntimeInfo>
      extends Object

  A simple object that holds a configuration object and its corresponding runtime info on each member.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationResult()` for internal use only
    `ConfigurationResult(T config)` for internal use only

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getConfig()` Returns the static portion of the configuration
    `List<R>` | `getRuntimeInfo()` Returns the non-static information
    `void` | `setConfig(T config)` for internal use only
    `void` | `setRuntimeInfo(List<R> runtimeInfo)` for internal use only

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationResult

          public ConfigurationResult()

      for internal use only

    - #### ConfigurationResult

          public ConfigurationResult(T config)

      for internal use only

  - ### Method Detail

    - #### getConfig

          public T getConfig()

      Returns the static portion of the configuration

    - #### setConfig

          public void setConfig(T config)

      for internal use only

    - #### getRuntimeInfo

          public List<R> getRuntimeInfo()

      Returns the non-static information

    - #### setRuntimeInfo

          public void setRuntimeInfo(List<R> runtimeInfo)

      for internal use only